/*
 * aux_conf.h:
 * This file gets "filled in" for each architecture.
 * Generated automatically from aux_conf.h.in by configure.
 */

#ifndef _AUX_CONF_H
#define _AUX_CONF_H

/*
 * The next line is a literal inclusion of a file which includes a
 * definition for the MOUNT_TRAP macro for a particular architecture.
 * If it defines the wrong entry, check the AC_CHECK_MOUNT_TRAP m4 macro
 * in $srcdir/aux/macros.
 */

/* $srcdir/conf/trap/trap_hpux.h */
extern int mount_hpux(MTYPE_TYPE type, const char *dir, int flags, caddr_t data);
#define MOUNT_TRAP(type, mnt, flags, mnt_data) 	mount_hpux(type, mnt->mnt_dir, flags, mnt_data)

/*
 * HPUX 9.x does is not even consistently inconsistent with itself.
 * It defines an integer mount type for PCFS, but not a string type as
 * with all other mount types.
 *
 * XXX: remove this ugly hack when HPUX 9.0 is defunct.
 */
#if MOUNT_TYPE_PCFS == MOUNT_PC
# undef MOUNT_TYPE_PCFS
# define MOUNT_TYPE_PCFS "pcfs"
#endif /* MOUNT_TYPE_PCFS == MOUNT_PC */
/* End of included MOUNT_TRAP macro definition file */

/*
 * The next line is a literal replacement of a variable which defines the
 * the UNMOUNT_TRAP macro for a particular architecture.
 * If it defines the wrong entry, check the AC_CHECK_UNMOUNT_CALL m4 macro
 * in $srcdir/aclocal.m4.  If the arguments are being defined wrong, check
 * the macro AC_CHECK_UNMOUNT_ARGS in $srcdir/aux/macros.
 */
#define UNMOUNT_TRAP(mnt)	umount(mnt->mnt_dir)
/* End of replaced UNMOUNT_TRAP macro definition */

/*
 * The next line is a literal inclusion of a file which includes a
 * definition for the NFS_FH_DREF macro for a particular architecture.
 * If it defines the wrong entry, check the AC_CHECK_NFS_FH_DREF m4 macro
 * in $srcdir/aux/macros.
 */

/* $srcdir/conf/fh_dref/fh_dref_hpux.h */
#define	NFS_FH_DREF(dst, src) (dst) = (fhandle_t *) (src)
/* End of included NFS_FH_DREF macro definition file */

/*
 * The next line is a literal inclusion of a file which includes a
 * definition for the NFS_SA_DREF macro for a particular architecture.
 * If it defines the wrong entry, check the AC_CHECK_NFS_SA_DREF m4 macro
 * in $srcdir/aux/macros.
 */

/* $srcdir/conf/sa_dref/sa_dref_default.h */
#define	NFS_SA_DREF(dst, src) (dst)->addr = (src)
/* End of included NFS_SA_DREF macro definition file */

/*
 * The next line is a literal inclusion of a file which includes a
 * definition for the NFS_HN_DREF macro for a particular architecture.
 * If it defines the wrong entry, check the AC_CHECK_NFS_HN_DREF m4 macro
 * in $srcdir/aux/macros.
 */

/* $srcdir/conf/hn_dref/hn_dref_default.h */
#define NFS_HN_DREF(dst, src) (dst) = (src)
/* End of included NFS_HN_DREF macro definition file */

#endif /* not _AUX_CONF_H */
